<?php

/**
 * smartversity: Block Patterns
 *
 * @since smartversity 1.0.0
 */

/**
 * Registers pattern categories for smartversity
 *
 * @since smartversity 1.0.0
 *
 * @return void
 */
function smartversity_register_pattern_category()
{
	$block_pattern_categories = array(
		'smartversity' => array('label' => __('Smartversity Patterns', 'smartversity'))
	);

	$block_pattern_categories = apply_filters('smartversity_block_pattern_categories', $block_pattern_categories);

	foreach ($block_pattern_categories as $name => $properties) {
		if (!WP_Block_Pattern_Categories_Registry::get_instance()->is_registered($name)) {
			register_block_pattern_category($name, $properties); // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_pattern_category
		}
	}
}
add_action('init', 'smartversity_register_pattern_category', 9);
